Bug 120057 - kernel crashes, possible related to heavy usb storage use. rebalance_laundry_zone
kernel crashes, possible related to heavy usb storage use. rebalance_laundry...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 13:28 EDT by seph
Modified: 2007-04-18 13:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
oops from syslog (1.98 KB, text/plain)
2004-04-09 16:56 EDT, seph
no flags Details
ksymoops as attachment (3.06 KB, text/plain)
2004-04-09 16:57 EDT, seph
no flags Details

  None (edit)
Description seph 2004-04-05 13:28:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I've got a fairly normal i386 machine. It's got an 80gig disk attached
via usb. Sometimes the machine crashes. As near as I can tell, the
crashes  seem to occur when I'm making heavy use of the usb drive. It
happens every couple days, though I don't have a reliable test case
for it. It started happening a lot more often after I upgraded the
memory in the machine. I did run memtest86, and found no problems.

Version-Release number of selected component (if applicable):
kernel-2.4.20-30.9

How reproducible:
Sometimes

Steps to Reproduce:
1. hammer on usb drive (with rsync)
2. wait
3. repeat
    

Actual Results:  machine crashes

Expected Results:  machine should not crash

Additional info:

the oops from syslog:

Apr  5 12:01:37 intel1 kernel: Unable to handle kernel paging request
at virtual address 818ec11c
Apr  5 12:01:37 intel1 kernel:  printing eip:
Apr  5 12:01:37 intel1 kernel: c013ceeb
Apr  5 12:01:37 intel1 kernel: *pde = 00000000
Apr  5 12:01:37 intel1 kernel: Oops: 0002
Apr  5 12:01:37 intel1 kernel: sd_mod i810_audio ac97_codec soundcore
parport_pc lp parport iptable_filter ip_tables autofs nfs lockd sunrpc
e100 sg sr_mod ide-s
csi ide-cd cdrom loop nls_is
Apr  5 12:01:37 intel1 kernel: CPU:    0
Apr  5 12:01:38 intel1 kernel: EIP:    0060:[<c013ceeb>]    Not tainted
Apr  5 12:01:38 intel1 kernel: EFLAGS: 00010296
Apr  5 12:01:38 intel1 kernel: 
Apr  5 12:01:38 intel1 kernel: EIP is at rebalance_laundry_zone
[kernel] 0x2eb (2.4.20-30.9)
Apr  5 12:01:38 intel1 kernel: eax: c0310fbc   ebx: c18eb62c   ecx:
c0310d80   edx: 818ec11c
Apr  5 12:01:38 intel1 kernel: esi: c18eb610   edi: 00000010   ebp:
0000002f   esp: eff87f88
Apr  5 12:01:38 intel1 kernel: ds: 0068   es: 0068   ss: 0068
Apr  5 12:01:38 intel1 kernel: Process kswapd (pid: 5, stackpage=eff87000)
Apr  5 12:01:38 intel1 kernel: Stack: 00000100 0000000f c013d488
c0310fbc 00000100 000001d0 0000000f 00000001 
Apr  5 12:01:38 intel1 kernel:        c0310d80 000001d0 00000000
c013d6ab c0310d80 00000040 00000000 eff86000 
Apr  5 12:01:38 intel1 kernel:        00000000 eff86305 00000000
c013d863 000001d0 00000002 000001d0 c013d7e0 
Apr  5 12:01:38 intel1 kernel: Call Trace:   [<c013d488>]
rebalance_inactive [kernel] 0x48 (0xeff87f90))
Apr  5 12:01:38 intel1 kernel: [<c013d6ab>]
do_try_to_free_pages_kswapd [kernel] 0x12b (0xeff87fb4))
Apr  5 12:01:38 intel1 kernel: [<c013d863>] kswapd [kernel] 0x83
(0xeff87fd4))
Apr  5 12:01:38 intel1 kernel: [<c013d7e0>] kswapd [kernel] 0x0
(0xeff87fe4))
Apr  5 12:01:38 intel1 kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xeff87ff0))
Apr  5 12:01:38 intel1 kernel: 
Apr  5 12:01:38 intel1 kernel: 
Apr  5 12:01:38 intel1 kernel: Code: 89 02 b8 08 00 00 00 c7 46 1c 00
00 00 00 c7 43 04 00 00 00 


and ksymoops's output:

ksymoops 2.4.9 on i686 2.4.20-30.9.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.20-30.9/ (default)
     -m /boot/System.map-2.4.20-30.9 (specified)

Error (expand_objects): cannot stat(/lib/ext3.o) for ext3
Error (expand_objects): cannot stat(/lib/jbd.o) for jbd
Warning (map_ksym_to_module): cannot match loaded module ext3 to a
unique module object.  Trace may not be reliable.
Apr  5 12:01:37 intel1 kernel: Unable to handle kernel paging request
at virtual address 818ec11c
Apr  5 12:01:37 intel1 kernel: c013ceeb
Apr  5 12:01:37 intel1 kernel: *pde = 00000000
Apr  5 12:01:37 intel1 kernel: Oops: 0002
Apr  5 12:01:37 intel1 kernel: CPU:    0
Apr  5 12:01:38 intel1 kernel: EIP:    0060:[<c013ceeb>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
Apr  5 12:01:38 intel1 kernel: EFLAGS: 00010296
Apr  5 12:01:38 intel1 kernel: eax: c0310fbc   ebx: c18eb62c   ecx:
c0310d80   edx: 818ec11c
Apr  5 12:01:38 intel1 kernel: esi: c18eb610   edi: 00000010   ebp:
0000002f   esp: eff87f88
Apr  5 12:01:38 intel1 kernel: ds: 0068   es: 0068   ss: 0068
Apr  5 12:01:38 intel1 kernel: Process kswapd (pid: 5, stackpage=eff87000)
Apr  5 12:01:38 intel1 kernel: Stack: 00000100 0000000f c013d488
c0310fbc 00000100 000001d0 0000000f 00000001 
Apr  5 12:01:38 intel1 kernel:        c0310d80 000001d0 00000000
c013d6ab c0310d80 00000040 00000000 eff86000 
Apr  5 12:01:38 intel1 kernel:        00000000 eff86305 00000000
c013d863 000001d0 00000002 000001d0 c013d7e0 
Apr  5 12:01:38 intel1 kernel: Call Trace:   [<c013d488>]
rebalance_inactive [kernel] 0x48 (0xeff87f90))
Apr  5 12:01:38 intel1 kernel: [<c013d6ab>]
do_try_to_free_pages_kswapd [kernel] 0x12b (0xeff87fb4))
Apr  5 12:01:38 intel1 kernel: [<c013d863>] kswapd [kernel] 0x83
(0xeff87fd4))
Apr  5 12:01:38 intel1 kernel: [<c013d7e0>] kswapd [kernel] 0x0
(0xeff87fe4))
Apr  5 12:01:38 intel1 kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xeff87ff0))
Apr  5 12:01:38 intel1 kernel: Code: 89 02 b8 08 00 00 00 c7 46 1c 00
00 00 00 c7 43 04 00 00 00 


>>EIP; c013ceeb <rebalance_laundry_zone+2eb/6b0>   <=====

>>eax; c0310fbc <contig_page_data+53c/a80>
>>ebx; c18eb62c <_end+150c4ac/3042dee0>
>>ecx; c0310d80 <contig_page_data+300/a80>
>>esi; c18eb610 <_end+150c490/3042dee0>
>>esp; eff87f88 <_end+2fba8e08/3042dee0>

Trace; c013d488 <rebalance_inactive+48/90>
Trace; c013d6ab <do_try_to_free_pages_kswapd+12b/1d0>
Trace; c013d863 <kswapd+83/1d0>
Trace; c013d7e0 <kswapd+0/1d0>
Trace; c010742d <kernel_thread_helper+5/18>

Code;  c013ceeb <rebalance_laundry_zone+2eb/6b0>
00000000 <_EIP>:
Code;  c013ceeb <rebalance_laundry_zone+2eb/6b0>   <=====
   0:   89 02                     mov    %eax,(%edx)   <=====
Code;  c013ceed <rebalance_laundry_zone+2ed/6b0>
   2:   b8 08 00 00 00            mov    $0x8,%eax
Code;  c013cef2 <rebalance_laundry_zone+2f2/6b0>
   7:   c7 46 1c 00 00 00 00      movl   $0x0,0x1c(%esi)
Code;  c013cef9 <rebalance_laundry_zone+2f9/6b0>
   e:   c7 43 04 00 00 00 00      movl   $0x0,0x4(%ebx)


1 warning and 2 errors issued.  Results may not be reliable.
Comment 1 seph 2004-04-09 16:56:45 EDT
Created attachment 99282 [details]
oops from syslog

here, have those as attachments.
Comment 2 seph 2004-04-09 16:57:20 EDT
Created attachment 99283 [details]
ksymoops as attachment
Comment 3 seph 2004-04-09 16:59:28 EDT
grepping for EIP in my syslogs, find the last several crashes. They
appear to fail at slightly different points. Here's what I get:

/var/log/messages.1:Mar 28 19:08:22 intel1 kernel: EIP:   
0060:[<c015c681>]    Not tainted
/var/log/messages.1:Mar 28 19:08:22 intel1 kernel: EIP is at d_lookup
[kernel] 0x61 (2.4.20-30.9)
/var/log/messages.1:Mar 28 20:39:11 intel1 kernel: EIP:   
0060:[<c014bfa0>]    Not tainted
/var/log/messages.1:Mar 28 20:39:11 intel1 kernel: EIP is at
try_to_free_buffers [kernel] 0x10 (2.4.20-30.9)
/var/log/messages.1:Mar 28 23:08:23 intel1 kernel: EIP:   
0060:[<c015c681>]    Not tainted
/var/log/messages.1:Mar 28 23:08:23 intel1 kernel: EIP is at d_lookup
[kernel] 0x61 (2.4.20-30.9)
/var/log/messages.1:Mar 31 05:21:34 intel1 kernel: EIP:   
0060:[<c0149dda>]    Not tainted
/var/log/messages.1:Mar 31 05:21:34 intel1 kernel: EIP is at
try_to_release_page [kernel] 0x2a (2.4.20-30.9)
/var/log/messages.1:Apr  2 05:00:24 intel1 kernel: EIP:   
0060:[<c015bfee>]    Not tainted
/var/log/messages.1:Apr  2 05:00:24 intel1 kernel: EIP is at
prune_dcache [kernel] 0x9e (2.4.20-30.9)
/var/log/messages.1:Apr  3 01:54:52 intel1 kernel: EIP:   
0060:[<c015bfee>]    Not tainted
/var/log/messages.1:Apr  3 01:54:52 intel1 kernel: EIP is at
prune_dcache [kernel] 0x9e (2.4.20-30.9)
/var/log/messages:Apr  5 12:01:38 intel1 kernel: EIP:   
0060:[<c013ceeb>]    Not tainted
/var/log/messages:Apr  5 12:01:38 intel1 kernel: EIP is at
rebalance_laundry_zone [kernel] 0x2eb (2.4.20-30.9)
/var/log/messages:Apr  8 18:19:17 intel1 kernel: EIP:   
0060:[<c014bfa0>]    Not tainted
/var/log/messages:Apr  8 18:19:17 intel1 kernel: EIP is at
try_to_free_buffers [kernel] 0x10 (2.4.20-30.9)
/var/log/messages:Apr  9 10:27:32 intel1 kernel: EIP:   
0060:[<f080eb71>]    Not tainted
/var/log/messages:Apr  9 10:27:32 intel1 kernel: EIP is at
__journal_unfile_buffer [jbd] 0x61 (2.4.20-30.9)
/var/log/messages:Apr  9 14:39:39 intel1 kernel: EIP:   
0060:[<c0149dda>]    Not tainted
/var/log/messages:Apr  9 14:39:39 intel1 kernel: EIP is at
try_to_release_page [kernel] 0x2a (2.4.20-30.9)
Comment 4 Bugzilla owner 2004-09-30 11:41:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.